/ In-place Editor / InPlaceEditorModel
Search results

InPlaceEditorModel API in JavaScript (ES5) In-place Editor API control

Interface for a class InPlaceEditor

Properties

actionBegin

EmitType<ActionBeginEventArgs>

The event will be fired before the data submitted to the server.

actionFailure

EmitType<ActionEventArgs>

The event will be fired when data submission failed.

actionSuccess

EmitType<ActionEventArgs>

The event will be fired when data submitted successfully to the server.

beforeSanitizeHtml

EmitType<BeforeSanitizeHtmlArgs>

Event triggers before sanitize the value.

beginEdit

EmitType<BeginEditEventArgs>

The event will be fired before changing the mode from default to edit mode.

cancelClick

EmitType<MouseEvent>

Event triggers when click the cancel button.

change

EmitType<ChangeEventArgs>

The event will be fired when the integrated component value has changed that render based on the type property in the In-place editor.

created

EmitType<Event>

The event will be fired once the component rendering is completed.

destroyed

EmitType<Event>

The event will be fired when the component gets destroyed.

endEdit

EmitType<EndEditEventArgs>

The event will be fired when the edit action is finished and begin to submit/cancel the current value.

submitClick

EmitType<MouseEvent>

Event triggers when click the submit button.

validating

EmitType<ValidateEventArgs>

The event will be fired while validating current value.

actionOnBlur

ActionBlur

Specifies the action to be perform when user clicks outside the container, that is focus out of editable content. The possible options are,

  • Cancel: Cancel’s the editing and resets the old content.
  • Submit: Submit the edited content to the server.
  • Ignore: No action is perform with this type and allows to have many containers open.

adaptor

AdaptorType

Specifies the adaptor type that are used DataManager to communicate with DataSource. The possible values are,

  • UrlAdaptor: Base adaptor for interacting with remote data services.
  • ODataV4Adaptor: Used to interact with ODataV4 service.
  • WebApiAdaptor: Used to interact with Web api created with OData endpoint.
     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
        adaptor :'UrlAdaptor',
    });
    editObj.appendTo('#inplace_editor');

cancelButton

ButtonModel

Used to customize the “Cancel” button UI appearance by defining Button model configuration.

     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
        cancelButton :  { iconCss: 'e-icons e-cancel-icon' }
    });
    editObj.appendTo('#inplace_editor');

cssClass

string

Defines single/multiple classes (separated by space) to be used for customization of In-place editor.

disabled

boolean

Specifies whether to enable editing mode or not.

editableOn

EditableType

Specifies the event action of input to enter edit mode instead of using edit icon. The possible values are:

  • Click: Do the single click action on input to enter into the edit mode.
  • DblClick: Do the single double click action on input to enter into the edit mode.
  • EditIconClick: Disables the editing of event action of input and allows user to edit only through edit icon.
     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
        cancelButton :  { iconCss: 'e-icons e-cancel-icon' }
    });
    editObj.appendTo('#inplace_editor');

emptyText

string

Sets the text to be shown when an element has ‘Empty’ value.

     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
        cancelButton :  { iconCss: 'e-icons e-cancel-icon' }
    });
    editObj.appendTo('#inplace_editor');

enableEditMode

boolean

Specifies to show/hide the editing mode.

     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
        cancelButton :  { iconCss: 'e-icons e-cancel-icon' }
    });
    editObj.appendTo('#inplace_editor');

enableHtmlParse

boolean

It enables or disables the parsing of HTML string content into HTML DOM elements for In-place Editor. If the value of the property is set to false, the In-place Editor value will be displayed as HTML string instead of HTML DOM elements.

enableHtmlSanitizer

boolean

Defines whether to allow the cross-scripting site or not.

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads. If enabled, following list of states will be persisted.

  1. value
     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
        cancelButton :  { iconCss: 'e-icons e-cancel-icon' }
    });
    editObj.appendTo('#inplace_editor');

enableRtl

boolean

Enable or disable rendering component in right to left direction.

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

mode

RenderMode

Specifies the mode to be render while editing. The possible modes are :

  • Inline: Editable content is displayed as inline text and ok/cancel buttons are displayed at right bottom corner of input.
  • Popup: Editable content and ok/cancel buttons are displayed inside popup while editing.
     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
         mode : 'Inline'
    });
    editObj.appendTo('#inplace_editor');

model

AutoCompleteModel | ColorPickerModel | ComboBoxModel | DatePickerModel | DateRangePickerModel | DateTimePickerModel | DropDownListModel | MaskedTextBoxModel | MultiSelectModel | NumericTextBoxModel | RichTextEditorModel | SliderModel | TextBoxModel | TimePickerModel

Specifies the model object configuration for the integrated components like AutoComplete, DatePicker,NumericTextBox, etc.

     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
        type: "Text",
        model: { placeholder: "Enter employee name" }
    });
    editObj.appendTo('#inplace_editor');

name

string

Specifies the name of the field which is used to map data to the server. If name is not given, then component ID is taken as mapping field name.

     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
      name: 'Editor',
    });
    editObj.appendTo('#inplace_editor');

popupSettings

PopupSettingsModel

Specifies the object to customize popup display settings like positions, animation etc.

     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
         popupSettings: {
            model: { width: 'auto' }
        },
    });
    editObj.appendTo('#inplace_editor');

primaryKey

string | number

Defines the unique primary key of editable field which can be used for saving data in data-base.

     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
          primaryKey: '',
    });
    editObj.appendTo('#inplace_editor');

saveButton

ButtonModel

Used to customize the “Save” button UI appearance by defining Button model configuration.

     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
        savebutton : { iconCss: 'e-icons e-save-icon' }
    });
    editObj.appendTo('#inplace_editor');

showButtons

boolean

Used to show/hide the ok/cancel buttons of In-place editor.

     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
         showButtons : true
    });
    editObj.appendTo('#inplace_editor');

submitOnEnter

boolean

Sets to trigger the submit action with enter key pressing of input.

     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
       submitOnEnter : true
    });
    editObj.appendTo('#inplace_editor');

template

string | HTMLElement | Function

Specifies the HTML element ID as a string that can be added as a editable field.

     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
      template : '<p>editable text</p>'
    });
    editObj.appendTo('#inplace_editor');

textOption

textOptionType

Specifies the option to be set on initial rendering. It is applicable for DropDownList, AutoComplete, ComboBox, and MultiSelect component types. The possible options are:

  • Never: The corresponding field value will never be set initially in the component.
  • Always: The corresponding field value will be set initially in the component.

type

InputType

Specifies the type of components that integrated with In-place editor to make it as editable.

     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
           type : 'Text'
    });
    editObj.appendTo('#inplace_editor');

url

string

Gets the url for server submit action.

     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
       url : 'https://ej2services.syncfusion.com/production/web-services/api/Editor/UpdateData'
    });
    editObj.appendTo('#inplace_editor');

validationRules

{ : }

Maps the validation rules for the input.

     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
        name: "Today",
        validationRules: {
        Today: { required: true }
  }
    });
    editObj.appendTo('#inplace_editor');

value

string | number | Date | string[] | Date[] | number[]

Specifies the display value for input when original input value is empty.

     <div id="inplace_editor"></div>
import { InPlaceEditor } from '@syncfusion/ej2-inplace-editor';

    let editObj: InPlaceEditor = new InPlaceEditor({
        value: 'Editor'
    });
    editObj.appendTo('#inplace_editor');

InPlaceEditorModel

23 Sep 202516 minutes to read

Interface for a class InPlaceEditor

Properties

actionBegin EmitType<ActionBeginEventArgs>

The event will be fired before the data submitted to the server.

actionFailure EmitType<ActionEventArgs>

The event will be fired when data submission failed.

actionSuccess EmitType<ActionEventArgs>

The event will be fired when data submitted successfully to the server.

beforeSanitizeHtml EmitType<BeforeSanitizeHtmlArgs>

Event triggers before sanitize the value.

beginEdit EmitType<BeginEditEventArgs>

The event will be fired before changing the mode from default to edit mode.

cancelClick EmitType<MouseEvent>

Event triggers when click the cancel button.

change EmitType<ChangeEventArgs>

The event will be fired when the integrated component value has changed that render based on the type property
in the In-place editor.

created EmitType<Event>

The event will be fired once the component rendering is completed.

destroyed EmitType<Event>

The event will be fired when the component gets destroyed.

endEdit EmitType<EndEditEventArgs>

The event will be fired when the edit action is finished and begin to submit/cancel the current value.

submitClick EmitType<MouseEvent>

Event triggers when click the submit button.

validating EmitType<ValidateEventArgs>

The event will be fired while validating current value.

actionOnBlur ActionBlur

Specifies the action to be perform when user clicks outside the container, that is focus out of editable content.
The possible options are,

  • Cancel: Cancel’s the editing and resets the old content.
  • Submit: Submit the edited content to the server.
  • Ignore: No action is perform with this type and allows to have many containers open.

adaptor AdaptorType

Specifies the adaptor type that are used DataManager to communicate with DataSource. The possible values are,

  • UrlAdaptor: Base adaptor for interacting with remote data services.
  • ODataV4Adaptor: Used to interact with ODataV4 service.
  • WebApiAdaptor: Used to interact with Web api created with OData endpoint.
<template>
    <ejs-inplaceeditor :adaptor="adaptor"></ejs-inplaceeditor>
</template>
<script>
    import Vue from "vue";
    import {
        InPlaceEditorPlugin
    } from "@syncfusion/ej2-vue-inplace-editor";

    Vue.use(InPlaceEditorPlugin);

    export default Vue.extend({
        data: () => {
            return {
                adaptor: "UrlAdaptor"
            };
        },
        methods: {}
    });
</script>

cancelButton ButtonModel

Used to customize the “Cancel” button UI appearance by defining Button model configuration.

<template>
  <ejs-inplaceeditor :cancelButton="cancelButton"></ejs-inplaceeditor>
</template>
<script>
import Vue from "vue";
import { InPlaceEditorPlugin } from "@syncfusion/ej2-vue-inplace-editor";

Vue.use(InPlaceEditorPlugin);

export default Vue.extend({
  data: () => {
    return {
       cancelButton : { content: 'Cancel', cssClass: 'e-outline'};
    };
  },
  methods: {}
});
</script>

cssClass string

Defines single/multiple classes (separated by space) to be used for customization of In-place editor.

disabled boolean

Specifies whether to enable editing mode or not.

editableOn EditableType

Specifies the event action of input to enter edit mode instead of using edit icon. The possible values are:

  • Click: Do the single click action on input to enter into the edit mode.
  • DblClick: Do the single double click action on input to enter into the edit mode.
  • EditIconClick: Disables the editing of event action of input and allows user to edit only through edit icon.
<template>
  <ejs-inplaceeditor :editableOn="editableOn"></ejs-inplaceeditor>
</template>
<script>
import Vue from "vue";
import { InPlaceEditorPlugin } from "@syncfusion/ej2-vue-inplace-editor";

Vue.use(InPlaceEditorPlugin);

export default Vue.extend({
  data: () => {
    return {
      editableOn: "DblClick"
    };
  },
  methods: {}
});
</script>

emptyText string

Sets the text to be shown when an element has ‘Empty’ value.

<template>
  <ejs-inplaceeditor :emptyText="emptyText"></ejs-inplaceeditor>
</template>
<script>
import Vue from "vue";
import { InPlaceEditorPlugin } from "@syncfusion/ej2-vue-inplace-editor";

Vue.use(InPlaceEditorPlugin);

export default Vue.extend({
  data: () => {
    return {
      emptyText: "text"
    };
  },
  methods: {}
});
</script>

enableEditMode boolean

Specifies to show/hide the editing mode.

<template>
  <ejs-inplaceeditor :enableEditMode="enableEditMode"></ejs-inplaceeditor>
</template>
<script>
import Vue from "vue";
import { InPlaceEditorPlugin } from "@syncfusion/ej2-vue-inplace-editor";

Vue.use(InPlaceEditorPlugin);

export default Vue.extend({
  data: () => {
    return {
      enableEditMode: true
    };
  },
  methods: {}
});
</script>

enableHtmlParse boolean

It enables or disables the parsing of HTML string content into HTML DOM elements for In-place Editor.
If the value of the property is set to false, the In-place Editor value will be displayed as HTML string instead of HTML DOM elements.

enableHtmlSanitizer boolean

Defines whether to allow the cross-scripting site or not.

enablePersistence boolean

Enable or disable persisting component’s state between page reloads. If enabled, following list of states will be persisted.

  1. value
<template>
  <ejs-inplaceeditor :enablePersistence="enablePersistence"></ejs-inplaceeditor>
</template>
<script>
import Vue from "vue";
import { InPlaceEditorPlugin } from "@syncfusion/ej2-vue-inplace-editor";

Vue.use(InPlaceEditorPlugin);

export default Vue.extend({
  data: () => {
    return {
      enablePersistence: true
    };
  },
  methods: {}
});
</script>

enableRtl boolean

Enable or disable rendering component in right to left direction.

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

mode RenderMode

Specifies the mode to be render while editing. The possible modes are :

  • Inline: Editable content is displayed as inline text and ok/cancel buttons are displayed at right bottom corner of input.
  • Popup: Editable content and ok/cancel buttons are displayed inside popup while editing.
<template>
  <ejs-inplaceeditor :mode="mode"></ejs-inplaceeditor>
</template>
<script>
import Vue from "vue";
import { InPlaceEditorPlugin } from "@syncfusion/ej2-vue-inplace-editor";

Vue.use(InPlaceEditorPlugin);

export default Vue.extend({
  data: () => {
    return {
      mode: "Inline"
    };
  },
  methods: {}
});
</script>

model AutoCompleteModel|ColorPickerModel|ComboBoxModel|DatePickerModel|DateRangePickerModel|DateTimePickerModel|DropDownListModel|MaskedTextBoxModel|MultiSelectModel|NumericTextBoxModel|RichTextEditorModel|SliderModel|TextBoxModel|TimePickerModel

Specifies the model object configuration for the integrated components like AutoComplete, DatePicker,NumericTextBox, etc.

<template>
    <ejs-inplaceeditor :model="model" :type="type"></ejs-inplaceeditor>
</template>
<script>
    import Vue from "vue";
    import {
        InPlaceEditorPlugin
    } from "@syncfusion/ej2-vue-inplace-editor";

    Vue.use(InPlaceEditorPlugin);

    export default Vue.extend({
        data: () => {
            return {
                model: {
                    placeholder: "Enter employee name"
                }
                type: 'Text';
            };
        },
        methods: {}
    });
</script>

name string

Specifies the name of the field which is used to map data to the server.
If name is not given, then component ID is taken as mapping field name.

<template>
  <ejs-inplaceeditor :name="name"></ejs-inplaceeditor>
</template>
<script>
import Vue from "vue";
import { InPlaceEditorPlugin } from "@syncfusion/ej2-vue-inplace-editor";

Vue.use(InPlaceEditorPlugin);

export default Vue.extend({
  data: () => {
    return {
      name: "Editor"
    };
  },
  methods: {}
});
</script>

popupSettings PopupSettingsModel

Specifies the object to customize popup display settings like positions, animation etc.

<template>
    <ejs-inplaceeditor :popupSettings="popupSettings"></ejs-inplaceeditor>
</template>
<script>
    import Vue from "vue";
    import {
        InPlaceEditorPlugin
    } from "@syncfusion/ej2-vue-inplace-editor";

    Vue.use(InPlaceEditorPlugin);

    export default Vue.extend({
        data: () => {
            return {
                popupSettings: {
                    model: {
                        width: "auto"
                    }
                };
            };
        },
        methods: {}
    });
</script>

primaryKey string|number

Defines the unique primary key of editable field which can be used for saving data in data-base.

<template>
  <ejs-inplaceeditor :primaryKey="primaryKey"></ejs-inplaceeditor>
</template>
<script>
import Vue from "vue";
import { InPlaceEditorPlugin } from "@syncfusion/ej2-vue-inplace-editor";

Vue.use(InPlaceEditorPlugin);

export default Vue.extend({
  data: () => {
    return {
     primaryKey:'';
    };
  },
  methods: {}
});
</script>

saveButton ButtonModel

Used to customize the “Save” button UI appearance by defining Button model configuration.

<template>
  <ejs-inplaceeditor :saveButton="saveButton"></ejs-inplaceeditor>
</template>
<script>
import Vue from "vue";
import { InPlaceEditorPlugin } from "@syncfusion/ej2-vue-inplace-editor";

Vue.use(InPlaceEditorPlugin);

export default Vue.extend({
  data: () => {
    return {
      saveButton : { content: 'OK', cssClass: 'e-outline'};
    };
  },
  methods: {}
});
</script>

showButtons boolean

Used to show/hide the ok/cancel buttons of In-place editor.

<template>
  <ejs-inplaceeditor :showButtons="showButtons"></ejs-inplaceeditor>
</template>
<script>
import Vue from "vue";
import { InPlaceEditorPlugin } from "@syncfusion/ej2-vue-inplace-editor";

Vue.use(InPlaceEditorPlugin);

export default Vue.extend({
  data: () => {
    return {
      showButtons: true;
    };
  },
  methods: {}
});
</script>

submitOnEnter boolean

Sets to trigger the submit action with enter key pressing of input.

<template>
  <ejs-inplaceeditor :mode="mode"></ejs-inplaceeditor>
</template>
<script>
import Vue from "vue";
import { InPlaceEditorPlugin } from "@syncfusion/ej2-vue-inplace-editor";

Vue.use(InPlaceEditorPlugin);

export default Vue.extend({
  data: () => {
    return {
      mode: "Inline"
    };
  },
  methods: {}
});
</script>

template string|HTMLElement|Function

Specifies the HTML element ID as a string that can be added as a editable field.

<template>
  <ejs-inplaceeditor :template="template"></ejs-inplaceeditor>
</template>
<script>
import Vue from "vue";
import { InPlaceEditorPlugin } from "@syncfusion/ej2-vue-inplace-editor";

Vue.use(InPlaceEditorPlugin);

export default Vue.extend({
  data: () => {
    return {
      template:  '<p> Editor</p>';
    };
  },
  methods: {}
});
</script>

textOption textOptionType

Specifies the option to be set on initial rendering. It is applicable for DropDownList,
AutoComplete, ComboBox, and MultiSelect component types.
The possible options are:

  • Never: The corresponding field value will never be set initially in the component.
  • Always: The corresponding field value will be set initially in the component.

type InputType

Specifies the type of components that integrated with In-place editor to make it as editable.

<template>
  <ejs-inplaceeditor :type="type"></ejs-inplaceeditor>
</template>
<script>
import Vue from "vue";
import { InPlaceEditorPlugin } from "@syncfusion/ej2-vue-inplace-editor";

Vue.use(InPlaceEditorPlugin);

export default Vue.extend({
  data: () => {
    return {
    type:  'Inline';
    };
  },
  methods: {}
});
</script>

url string

Gets the url for server submit action.

<template>
  <ejs-inplaceeditor :url="url"></ejs-inplaceeditor>
</template>
<script>
import Vue from "vue";
import { InPlaceEditorPlugin } from "@syncfusion/ej2-vue-inplace-editor";

Vue.use(InPlaceEditorPlugin);

export default Vue.extend({
  data: () => {
    return {
    url: 'https://ej2services.syncfusion.com/production/web-services/api/Editor/UpdateData';
    };
  },
  methods: {}
});
</script>

validationRules { : }

Maps the validation rules for the input.

<template>
  <ejs-inplaceeditor :name="name" :validationRules="validationRules"></ejs-inplaceeditor>
</template>
<script>
import Vue from "vue";
import { InPlaceEditorPlugin } from "@syncfusion/ej2-vue-inplace-editor";

Vue.use(InPlaceEditorPlugin);

export default Vue.extend({
  data: () => {
    return {
       name : 'Today';

     validationRules :  {
        Today: { required: true }
    };
  },
  methods: {}
});
</script>

value string|number|Date|string[]|Date[]|number[]

Specifies the display value for input when original input value is empty.

<template>
  <ejs-inplaceeditor :value="value"></ejs-inplaceeditor>
</template>
<script>
import Vue from "vue";
import { InPlaceEditorPlugin } from "@syncfusion/ej2-vue-inplace-editor";

Vue.use(InPlaceEditorPlugin);

export default Vue.extend({
  data: () => {
    return {
      value: "Editor"
    };
  },
  methods: {}
});
</script>

Search results

InPlaceEditorModel API in Angular In-place Editor API component

Interface for a class InPlaceEditor

Properties

actionBegin

EmitType<ActionBeginEventArgs>

The event will be fired before the data submitted to the server.

actionFailure

EmitType<ActionEventArgs>

The event will be fired when data submission failed.

actionSuccess

EmitType<ActionEventArgs>

The event will be fired when data submitted successfully to the server.

beforeSanitizeHtml

EmitType<BeforeSanitizeHtmlArgs>

Event triggers before sanitize the value.

beginEdit

EmitType<BeginEditEventArgs>

The event will be fired before changing the mode from default to edit mode.

cancelClick

EmitType<MouseEvent>

Event triggers when click the cancel button.

change

EmitType<ChangeEventArgs>

The event will be fired when the integrated component value has changed that render based on the type property in the In-place editor.

created

EmitType<Event>

The event will be fired once the component rendering is completed.

destroyed

EmitType<Event>

The event will be fired when the component gets destroyed.

endEdit

EmitType<EndEditEventArgs>

The event will be fired when the edit action is finished and begin to submit/cancel the current value.

submitClick

EmitType<MouseEvent>

Event triggers when click the submit button.

validating

EmitType<ValidateEventArgs>

The event will be fired while validating current value.

actionOnBlur

ActionBlur

Specifies the action to be perform when user clicks outside the container, that is focus out of editable content. The possible options are,

  • Cancel: Cancel’s the editing and resets the old content.
  • Submit: Submit the edited content to the server.
  • Ignore: No action is perform with this type and allows to have many containers open.

adaptor

AdaptorType

Specifies the adaptor type that are used DataManager to communicate with DataSource. The possible values are,

  • UrlAdaptor: Base adaptor for interacting with remote data services.
  • ODataV4Adaptor: Used to interact with ODataV4 service.
  • WebApiAdaptor: Used to interact with Web api created with OData endpoint.
import { Component } from "@angular/core";

@Component({
  selector: "app-root",
  template: " <ejs-inplaceeditor  [adaptor]='adaptor'></ejs-inplaceeditor>"
})
export class AppComponent {
   public adaptor: string = 'UrlAdaptor';
}

cancelButton

ButtonModel

Used to customize the “Cancel” button UI appearance by defining Button model configuration.

import { Component } from "@angular/core";
import { InPlaceEditorComponent} from '@syncfusion/ej2-angular-inplace-editor';
import {ButtonModel } from '@syncfusion/ej2-buttons';
@Component({
  selector: "app-root",
  template: " <ejs-inplaceeditor [cancelButton]='cancelButton'></ejs-inplaceeditor>"
})
export class AppComponent {
    public cancelButton: ButtonModel = { content: 'Cancel', cssClass: 'e-outline'};
}
  

cssClass

string

Defines single/multiple classes (separated by space) to be used for customization of In-place editor.

disabled

boolean

Specifies whether to enable editing mode or not.

editableOn

EditableType

Specifies the event action of input to enter edit mode instead of using edit icon. The possible values are:

  • Click: Do the single click action on input to enter into the edit mode.
  • DblClick: Do the single double click action on input to enter into the edit mode.
  • EditIconClick: Disables the editing of event action of input and allows user to edit only through edit icon.
import { Component } from "@angular/core";

@Component({
  selector: "app-root",
  template: " <ejs-inplaceeditor  [editableOn]='editableOn'></ejs-inplaceeditor>"
})
export class AppComponent {
   public editableOn: string = 'DblClick';
}

emptyText

string

Sets the text to be shown when an element has ‘Empty’ value.

import { Component } from "@angular/core";

@Component({
  selector: "app-root",
  template: " <ejs-inplaceeditor  [emptyText]='emptyText'></ejs-inplaceeditor>"
})
export class AppComponent {
   public emptyText: string = 'text';
}

enableEditMode

boolean

Specifies to show/hide the editing mode.

import { Component } from "@angular/core";

@Component({
  selector: "app-root",
  template: " <ejs-inplaceeditor  [enableEditMode]='enableEditMode'></ejs-inplaceeditor>"
})
export class AppComponent {
   public enableEditMode: boolean = true;
}

enableHtmlParse

boolean

It enables or disables the parsing of HTML string content into HTML DOM elements for In-place Editor. If the value of the property is set to false, the In-place Editor value will be displayed as HTML string instead of HTML DOM elements.

enableHtmlSanitizer

boolean

Defines whether to allow the cross-scripting site or not.

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads. If enabled, following list of states will be persisted.

  1. value
import { Component } from "@angular/core";

@Component({
  selector: "app-root",
  template: " <ejs-inplaceeditor  [enablePersistence]='enablePersistence'></ejs-inplaceeditor>"
})
export class AppComponent {
   public enablePersistence: boolean = true;
}

enableRtl

boolean

Enable or disable rendering component in right to left direction.

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

mode

RenderMode

Specifies the mode to be render while editing. The possible modes are :

  • Inline: Editable content is displayed as inline text and ok/cancel buttons are displayed at right bottom corner of input.
  • Popup: Editable content and ok/cancel buttons are displayed inside popup while editing.
import { Component } from "@angular/core";

@Component({
  selector: "app-root",
  template: " <ejs-inplaceeditor  [mode]='mode'></ejs-inplaceeditor>"
})
export class AppComponent {
   public mode: string = 'Inline';
}

model

AutoCompleteModel | ColorPickerModel | ComboBoxModel | DatePickerModel | DateRangePickerModel | DateTimePickerModel | DropDownListModel | MaskedTextBoxModel | MultiSelectModel | NumericTextBoxModel | RichTextEditorModel | SliderModel | TextBoxModel | TimePickerModel

Specifies the model object configuration for the integrated components like AutoComplete, DatePicker,NumericTextBox, etc.

iimport { Component } from "@angular/core";
import { InPlaceEditorComponent} from '@syncfusion/ej2-angular-inplace-editor';
import {TextBoxModel } from '@syncfusion/ej2-inputs';
@Component({
  selector: "app-root",
  template: " <ejs-inplaceeditor   [type]='type' [model]='model'></ejs-inplaceeditor>"
})
export class AppComponent {
   public model : TextBoxModel  = { placeholder: "Enter employee name" }
   public type : string  ='Text';
}

name

string

Specifies the name of the field which is used to map data to the server. If name is not given, then component ID is taken as mapping field name.

import { Component } from "@angular/core";

@Component({
  selector: "app-root",
  template: " <ejs-inplaceeditor  [name]='name'></ejs-inplaceeditor>"
})
export class AppComponent {
   public name: string = 'Editor';
}

popupSettings

PopupSettingsModel

Specifies the object to customize popup display settings like positions, animation etc.

import { Component } from "@angular/core";
import { PopupSettingsModel } from "@syncfusion/ej2-inplace-editor/src/inplace-editor/base/models-model";
@Component({
  selector: "app-root",
  template:
    " <ejs-inplaceeditor  [popupSettings]='popupSettings'></ejs-inplaceeditor>"
})
export class AppComponent {
  public popupSettings: PopupSettingsModel = {
    model: { width: "auto" }
  };
}

primaryKey

string | number

Defines the unique primary key of editable field which can be used for saving data in data-base.

import { Component } from "@angular/core";

@Component({
  selector: "app-root",
  template: " <ejs-inplaceeditor  [primaryKey]='primaryKey'></ejs-inplaceeditor>"
})
export class AppComponent {
   public primaryKey: string = '';
}

saveButton

ButtonModel

Used to customize the “Save” button UI appearance by defining Button model configuration.

import { Component } from "@angular/core";
import { InPlaceEditorComponent} from '@syncfusion/ej2-angular-inplace-editor';
import {ButtonModel } from '@syncfusion/ej2-buttons';
@Component({
  selector: "app-root",
  template: " <ejs-inplaceeditor [saveButton]='saveButton'></ejs-inplaceeditor>"
})
export class AppComponent {
    public saveButton: ButtonModel = { content: 'OK', cssClass: 'e-outline'};
}

showButtons

boolean

Used to show/hide the ok/cancel buttons of In-place editor.

import { Component } from "@angular/core";

@Component({
  selector: "app-root",
  template: " <ejs-inplaceeditor  [showButtons]='showButtons'></ejs-inplaceeditor>"
})
export class AppComponent {
   public showButtons: boolean = true;
}

submitOnEnter

boolean

Sets to trigger the submit action with enter key pressing of input.

import { Component } from "@angular/core";

@Component({
  selector: "app-root",
  template: " <ejs-inplaceeditor [submitOnEnter]='submitOnEnter'></ejs-inplaceeditor>"
})
export class AppComponent {
   public submitOnEnter: boolean =true;
}

template

string | HTMLElement | Function

Specifies the HTML element ID as a string that can be added as a editable field.

import { Component } from "@angular/core";

@Component({
  selector: "app-root",
  template: " <ejs-inplaceeditor [template]='template'></ejs-inplaceeditor>"
})
export class AppComponent {
   public template: string = '<p> Editor</p>';
}

textOption

textOptionType

Specifies the option to be set on initial rendering. It is applicable for DropDownList, AutoComplete, ComboBox, and MultiSelect component types. The possible options are:

  • Never: The corresponding field value will never be set initially in the component.
  • Always: The corresponding field value will be set initially in the component.

type

InputType

Specifies the type of components that integrated with In-place editor to make it as editable.

import { Component } from "@angular/core";

@Component({
  selector: "app-root",
  template: " <ejs-inplaceeditor [type]='type'></ejs-inplaceeditor>"
})
export class AppComponent {
   public type: string = 'Inline';
}

url

string

Gets the url for server submit action.

import { Component } from "@angular/core";

@Component({
  selector: "app-root",
  template: " <ejs-inplaceeditor  [url]='url'></ejs-inplaceeditor>"
})
export class AppComponent {
   public url: string = 'https://ej2services.syncfusion.com/production/web-services/api/Editor/UpdateData';
}

validationRules

{ [name: string]: { [rule: string]: Object } }

Maps the validation rules for the input.

import { Component } from "@angular/core";

@Component({
  selector: "app-root",
  template: " <ejs-inplaceeditor  [name]='name' [validationRules]='validationRules'></ejs-inplaceeditor>"
})
export class AppComponent {
   public name: string = 'Today';

   public validationRules =  {
        Today: { required: true }
}

}

value

string | number | Date | string[] | Date[] | number[]

Specifies the display value for input when original input value is empty.

import { Component } from "@angular/core";

@Component({
  selector: "app-root",
  template: " <ejs-inplaceeditor  [value]='value'></ejs-inplaceeditor>"
})
export class AppComponent {
   public value: string = 'Editor';
}

Search results

InPlaceEditorModel API in React In-place Editor API component

Interface for a class InPlaceEditor

Properties

actionBegin

EmitType<ActionBeginEventArgs>

The event will be fired before the data submitted to the server.

actionFailure

EmitType<ActionEventArgs>

The event will be fired when data submission failed.

actionSuccess

EmitType<ActionEventArgs>

The event will be fired when data submitted successfully to the server.

beforeSanitizeHtml

EmitType<BeforeSanitizeHtmlArgs>

Event triggers before sanitize the value.

beginEdit

EmitType<BeginEditEventArgs>

The event will be fired before changing the mode from default to edit mode.

cancelClick

EmitType<MouseEvent>

Event triggers when click the cancel button.

change

EmitType<ChangeEventArgs>

The event will be fired when the integrated component value has changed that render based on the type property in the In-place editor.

created

EmitType<Event>

The event will be fired once the component rendering is completed.

destroyed

EmitType<Event>

The event will be fired when the component gets destroyed.

endEdit

EmitType<EndEditEventArgs>

The event will be fired when the edit action is finished and begin to submit/cancel the current value.

submitClick

EmitType<MouseEvent>

Event triggers when click the submit button.

validating

EmitType<ValidateEventArgs>

The event will be fired while validating current value.

actionOnBlur

ActionBlur

Specifies the action to be perform when user clicks outside the container, that is focus out of editable content. The possible options are,

  • Cancel: Cancel’s the editing and resets the old content.
  • Submit: Submit the edited content to the server.
  • Ignore: No action is perform with this type and allows to have many containers open.

adaptor

AdaptorType

Specifies the adaptor type that are used DataManager to communicate with DataSource. The possible values are,

  • UrlAdaptor: Base adaptor for interacting with remote data services.
  • ODataV4Adaptor: Used to interact with ODataV4 service.
  • WebApiAdaptor: Used to interact with Web api created with OData endpoint.
import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';

export class Default extends SampleBase<{}, {}> {

     private adaptor: string = 'UrlAdaptor';

    render() {
        return (
            <InPlaceEditorComponent  adaptor={this.adaptor}>
            </InPlaceEditorComponent>
        );
    }
}

cancelButton

ButtonModel

Used to customize the “Cancel” button UI appearance by defining Button model configuration.

import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';
import {ButtonModel } from '@syncfusion/ej2-buttons';

export class Default extends SampleBase<{}, {}> {

      private cancelButton: ButtonModel = { content: 'Cancel', cssClass: 'e-outline'};

    render() {
        return (
            <InPlaceEditorComponent  cancelButton={this.cancelButton}>
            </InPlaceEditorComponent>
        );
    }
}

cssClass

string

Defines single/multiple classes (separated by space) to be used for customization of In-place editor.

disabled

boolean

Specifies whether to enable editing mode or not.

editableOn

EditableType

Specifies the event action of input to enter edit mode instead of using edit icon. The possible values are:

  • Click: Do the single click action on input to enter into the edit mode.
  • DblClick: Do the single double click action on input to enter into the edit mode.
  • EditIconClick: Disables the editing of event action of input and allows user to edit only through edit icon.
import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';

export class Default extends SampleBase<{}, {}> {

    private editableOn: string = 'DblClick';

    render() {
        return (
            <InPlaceEditorComponent  editableOn={this.editableOn}>
            </InPlaceEditorComponent>
        );
    }
}

emptyText

string

Sets the text to be shown when an element has ‘Empty’ value.

import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';

export class Default extends SampleBase<{}, {}> {

    private emptyText: string = 'text';

    render() {
        return (
            <InPlaceEditorComponent  emptyText={this.emptyText}>
            </InPlaceEditorComponent>
        );
    }
}

enableEditMode

boolean

Specifies to show/hide the editing mode.

import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';

export class Default extends SampleBase<{}, {}> {

     private enableEditMode: boolean = true;

    render() {
        return (
            <InPlaceEditorComponent  enableEditMode={this.enableEditMode}>
            </InPlaceEditorComponent>
        );
    }
}

enableHtmlParse

boolean

It enables or disables the parsing of HTML string content into HTML DOM elements for In-place Editor. If the value of the property is set to false, the In-place Editor value will be displayed as HTML string instead of HTML DOM elements.

enableHtmlSanitizer

boolean

Defines whether to allow the cross-scripting site or not.

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads. If enabled, following list of states will be persisted.

  1. value
import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';

export class Default extends SampleBase<{}, {}> {

    private enablePersistence: boolean = true;

    render() {
        return (
            <InPlaceEditorComponent  enablePersistence={this.enablePersistence}>
            </InPlaceEditorComponent>
        );
    }
}

enableRtl

boolean

Enable or disable rendering component in right to left direction.

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

mode

RenderMode

Specifies the mode to be render while editing. The possible modes are :

  • Inline: Editable content is displayed as inline text and ok/cancel buttons are displayed at right bottom corner of input.
  • Popup: Editable content and ok/cancel buttons are displayed inside popup while editing.
import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';

export class Default extends SampleBase<{}, {}> {

     private mode: string = 'Inline';

    render() {
        return (
            <InPlaceEditorComponent  mode={this.mode}>
            </InPlaceEditorComponent>
        );
    }
}

model

AutoCompleteModel | ColorPickerModel | ComboBoxModel | DatePickerModel | DateRangePickerModel | DateTimePickerModel | DropDownListModel | MaskedTextBoxModel | MultiSelectModel | NumericTextBoxModel | RichTextEditorModel | SliderModel | TextBoxModel | TimePickerModel

Specifies the model object configuration for the integrated components like AutoComplete, DatePicker,NumericTextBox, etc.

import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';
import {TextBoxModel } from '@syncfusion/ej2-inputs';

export class Default extends SampleBase<{}, {}> {

    private model : TextBoxModel  = { placeholder: "Enter employee name" }
    private type : string  ='Text';

    render() {
        return (
            <InPlaceEditorComponent  model={this.model} type={this.type}>
            </InPlaceEditorComponent>
        );
    }
}

name

string

Specifies the name of the field which is used to map data to the server. If name is not given, then component ID is taken as mapping field name.

import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';

export class Default extends SampleBase<{}, {}> {

    private name: string = 'Editor';

    render() {
        return (
            <InPlaceEditorComponent  name={this.name}>
            </InPlaceEditorComponent>
        );
    }
}

popupSettings

PopupSettingsModel

Specifies the object to customize popup display settings like positions, animation etc.

import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';
import { PopupSettingsModel } from "@syncfusion/ej2-inplace-editor/src/inplace-editor/base/models-model";

export class Default extends SampleBase<{}, {}> {

    private popupSettings: PopupSettingsModel = {
    model: { width: "auto" }
  };

    render() {
        return (
            <InPlaceEditorComponent  popupSettings={this.popupSettings}>
            </InPlaceEditorComponent>
        );
    }
}

primaryKey

string | number

Defines the unique primary key of editable field which can be used for saving data in data-base.

import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';

export class Default extends SampleBase<{}, {}> {

     private primaryKey: string = '';

    render() {
        return (
            <InPlaceEditorComponent  primaryKey={this.primaryKey}>
            </InPlaceEditorComponent>
        );
    }
}

saveButton

ButtonModel

Used to customize the “Save” button UI appearance by defining Button model configuration.

import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';
import {ButtonModel } from '@syncfusion/ej2-buttons';

export class Default extends SampleBase<{}, {}> {

     private saveButton: ButtonModel = { content: 'OK', cssClass: 'e-outline'};

    render() {
        return (
            <InPlaceEditorComponent  saveButton={this.saveButton}>
            </InPlaceEditorComponent>
        );
    }
}

showButtons

boolean

Used to show/hide the ok/cancel buttons of In-place editor.

import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';

export class Default extends SampleBase<{}, {}> {

     private showButtons: boolean = true;

    render() {
        return (
            <InPlaceEditorComponent  showButtons={this.showButtons}>
            </InPlaceEditorComponent>
        );
    }
}

submitOnEnter

boolean

Sets to trigger the submit action with enter key pressing of input.

import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';

export class Default extends SampleBase<{}, {}> {

    private submitOnEnter: boolean =true;

    render() {
        return (
            <InPlaceEditorComponent  submitOnEnter={this.submitOnEnter}>
            </InPlaceEditorComponent>
        );
    }
}

template

string | HTMLElement | Function

Specifies the HTML element ID as a string that can be added as a editable field.

import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';

export class Default extends SampleBase<{}, {}> {

     private template: string = '<p> Editor</p>';

    render() {
        return (
            <InPlaceEditorComponent  template={this.template}>
            </InPlaceEditorComponent>
        );
    }
}

textOption

textOptionType

Specifies the option to be set on initial rendering. It is applicable for DropDownList, AutoComplete, ComboBox, and MultiSelect component types. The possible options are:

  • Never: The corresponding field value will never be set initially in the component.
  • Always: The corresponding field value will be set initially in the component.

type

InputType

Specifies the type of components that integrated with In-place editor to make it as editable.

import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';

export class Default extends SampleBase<{}, {}> {

     private type: string = 'Inline';

    render() {
        return (
            <InPlaceEditorComponent  type={this.type}>
            </InPlaceEditorComponent>
        );
    }
}

url

string

Gets the url for server submit action.

import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';

export class Default extends SampleBase<{}, {}> {

    private url: string = 'https://ej2services.syncfusion.com/production/web-services/api/Editor/UpdateData';

    render() {
        return (
            <InPlaceEditorComponent  url={this.url}>
            </InPlaceEditorComponent>
        );
    }
}

validationRules

{ [name: string]: { [rule: string]: Object } }

Maps the validation rules for the input.

import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';

export class Default extends SampleBase<{}, {}> {

     private name: string = 'Today';

   private validationRules =  {
        Today: { required: true }

    render() {
        return (
            <InPlaceEditorComponent  name={this.name} validationRules={this.validationRules}>
            </InPlaceEditorComponent>
        );
    }
}

value

string | number | Date | string[] | Date[] | number[]

Specifies the display value for input when original input value is empty.

import { render } from 'react-dom';
import * as React from 'react';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { SampleBase } from './sample-base';

export class Default extends SampleBase<{}, {}> {

     private value: string = 'Editor';

    render() {
        return (
            <InPlaceEditorComponent  value={this.value}>
            </InPlaceEditorComponent>
        );
    }
}